Loading...
Searching...
No Matches
Python.HighPy Namespace Reference

## Functions

| camera_intrinsics (str window_name, K, imsize)
| set camera intrinsics
| imshow (str window_name, str|os.PathLike img_path)
| show an image in the window
| mesh_hide (str window_name, str|os.PathLike mesh_path)
| hide a mesh in the window
| mesh_show (str window_name, str|os.PathLike mesh_path, rot_mat=None, position=(0, 0, 0), str|None material_name=None, str|None entity_name=None)
| show a mesh in the window
| point_light (str window_name, position=(0, 0, 0))
| create a point light in the window
| window_compositor (str window_name, str compositor_name)
| set a compositor for the window
| window_create (str window_name, window_size, int flags=AXES_ZBACKWARD_YUP)
| create a window
int | window_draw (str window_name)
| draw the window
| window_pixel_data (str window_name, str|None compositor_name=None, str|None texture_name=None, int mrt_index=0)
| get the pixel data from the window or the active compositor
| window_use_imgui (str window_name, callback)
| enable imgui for the window

## Variables

int | AXES_ZBACKWARD_YUP = 0
| Ogre & OpenGL coordinate system
int | AXES_ZFORWARD_YDOWN = 1
| OpenCV & colmap coordinate system.
| user_resource_locations = set()
| add paths here to override the default resource location `"."`